Subject: Re: [RFC PATCH net-next 0/5] Ease netns management for userland

From: [email-masked] (Eric W. Biederman)
Date: Wed, 12 Dec 2012 13:48:30 -0800

[email-masked] (Eric W. Biederman) writes:

> It is very wrong to presume that without context you know the reason for
> the exsitence of any network namespace and that you should or even that
> you can manage it.  Think of running your multi-network namespace
> managing application in a container.

A good example of a network namespace you don't want to mess with are
the network namespaces created by vsftp and chrome for security purposes
to remove any possibility of creating new connections to the network.

Eric